csIEEEfloat Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
csIEEEfloat Struct Reference
Utilities

Convert IEEE 32-bit floats from or to native machine floats. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions
static uint16 | FromNativeRTZ (float f)
| Convert native 'float' type value to IEEE half-precision float number.
static float | ToNative (uint16 half)
| Convert IEEE half-precision float number to native 'float' type value.
static uint32 | FromNative (float f)
| Convert native to IEEE.
static uint64 | FromNative (double f)
| Convert native to IEEE.
static float | ToNative (uint32 f)
| Convert IEEE to native.
static double | ToNative (uint64 f)
| Convert IEEE to native.

## Detailed Description

Convert IEEE 32-bit floats from or to native machine floats.

Definition at line 169 of file csendian.h.

## Member Function Documentation

static uint32 csIEEEfloat::FromNative | ( | float | f | ) | `[inline, static]`

Convert native to IEEE.

Definition at line 176 of file csendian.h.

static uint64 csIEEEfloat::FromNative | ( | double | f | ) | `[inline, static]`

Convert native to IEEE.

Definition at line 186 of file csendian.h.

static uint16 csIEEEfloat::FromNativeRTZ | ( | float | f | ) | `[inline, static]`

Convert native 'float' type value to IEEE half-precision float number.

Rounds towards zero.

Definition at line 282 of file csendian.h.

static float csIEEEfloat::ToNative | ( | uint32 | f | ) | `[inline, static]`

Convert IEEE to native.

Definition at line 200 of file csendian.h.

static double csIEEEfloat::ToNative | ( | uint64 | f | ) | `[inline, static]`

Convert IEEE to native.

Definition at line 210 of file csendian.h.

static float csIEEEfloat::ToNative | ( | uint16 | half | ) | `[inline, static]`

Convert IEEE half-precision float number to native 'float' type value.

Definition at line 226 of file csendian.h.

The documentation for this struct was generated from the following file:

- csutil/csendian.h